// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: PlateHandlingControl.proto
#pragma warning disable 1591, 0612, 3021
#region Designer generated code

using pb = global::Google.Protobuf;
using pbc = global::Google.Protobuf.Collections;
using pbr = global::Google.Protobuf.Reflection;
using scg = global::System.Collections.Generic;
namespace Sila2.De.Equicon.Handling.Platehandlingcontrol.V1 {

  /// <summary>Holder for reflection information generated from PlateHandlingControl.proto</summary>
  public static partial class PlateHandlingControlReflection {

    #region Descriptor
    /// <summary>File descriptor for PlateHandlingControl.proto</summary>
    public static pbr::FileDescriptor Descriptor {
      get { return descriptor; }
    }
    private static pbr::FileDescriptor descriptor;

    static PlateHandlingControlReflection() {
      byte[] descriptorData = global::System.Convert.FromBase64String(
          string.Concat(
            "ChpQbGF0ZUhhbmRsaW5nQ29udHJvbC5wcm90bxIxc2lsYTIuZGUuZXF1aWNv",
            "bi5oYW5kbGluZy5wbGF0ZWhhbmRsaW5nY29udHJvbC52MRoTU2lMQUZyYW1l",
            "d29yay5wcm90byIWChRPcGVuQ2xhbXBfUGFyYW1ldGVycyIVChNPcGVuQ2xh",
            "bXBfUmVzcG9uc2VzIhcKFUNsb3NlQ2xhbXBfUGFyYW1ldGVycyIWChRDbG9z",
            "ZUNsYW1wX1Jlc3BvbnNlcyIiCiBHZXRfQ3VycmVudENsYW1wU3RhdGVfUGFy",
            "YW1ldGVycyJdCh9HZXRfQ3VycmVudENsYW1wU3RhdGVfUmVzcG9uc2VzEjoK",
            "EUN1cnJlbnRDbGFtcFN0YXRlGAEgASgLMh8uc2lsYTIub3JnLnNpbGFzdGFu",
            "ZGFyZC5Cb29sZWFuMqAEChRQbGF0ZUhhbmRsaW5nQ29udHJvbBKeAQoJT3Bl",
            "bkNsYW1wEkcuc2lsYTIuZGUuZXF1aWNvbi5oYW5kbGluZy5wbGF0ZWhhbmRs",
            "aW5nY29udHJvbC52MS5PcGVuQ2xhbXBfUGFyYW1ldGVycxpGLnNpbGEyLmRl",
            "LmVxdWljb24uaGFuZGxpbmcucGxhdGVoYW5kbGluZ2NvbnRyb2wudjEuT3Bl",
            "bkNsYW1wX1Jlc3BvbnNlcyIAEqEBCgpDbG9zZUNsYW1wEkguc2lsYTIuZGUu",
            "ZXF1aWNvbi5oYW5kbGluZy5wbGF0ZWhhbmRsaW5nY29udHJvbC52MS5DbG9z",
            "ZUNsYW1wX1BhcmFtZXRlcnMaRy5zaWxhMi5kZS5lcXVpY29uLmhhbmRsaW5n",
            "LnBsYXRlaGFuZGxpbmdjb250cm9sLnYxLkNsb3NlQ2xhbXBfUmVzcG9uc2Vz",
            "IgASwgEKFUdldF9DdXJyZW50Q2xhbXBTdGF0ZRJTLnNpbGEyLmRlLmVxdWlj",
            "b24uaGFuZGxpbmcucGxhdGVoYW5kbGluZ2NvbnRyb2wudjEuR2V0X0N1cnJl",
            "bnRDbGFtcFN0YXRlX1BhcmFtZXRlcnMaUi5zaWxhMi5kZS5lcXVpY29uLmhh",
            "bmRsaW5nLnBsYXRlaGFuZGxpbmdjb250cm9sLnYxLkdldF9DdXJyZW50Q2xh",
            "bXBTdGF0ZV9SZXNwb25zZXMiAGIGcHJvdG8z"));
      descriptor = pbr::FileDescriptor.FromGeneratedCode(descriptorData,
          new pbr::FileDescriptor[] { global::Sila2.Org.Silastandard.SiLAFrameworkReflection.Descriptor, },
          new pbr::GeneratedClrTypeInfo(null, new pbr::GeneratedClrTypeInfo[] {
            new pbr::GeneratedClrTypeInfo(typeof(global::Sila2.De.Equicon.Handling.Platehandlingcontrol.V1.OpenClamp_Parameters), global::Sila2.De.Equicon.Handling.Platehandlingcontrol.V1.OpenClamp_Parameters.Parser, null, null, null, null),
            new pbr::GeneratedClrTypeInfo(typeof(global::Sila2.De.Equicon.Handling.Platehandlingcontrol.V1.OpenClamp_Responses), global::Sila2.De.Equicon.Handling.Platehandlingcontrol.V1.OpenClamp_Responses.Parser, null, null, null, null),
            new pbr::GeneratedClrTypeInfo(typeof(global::Sila2.De.Equicon.Handling.Platehandlingcontrol.V1.CloseClamp_Parameters), global::Sila2.De.Equicon.Handling.Platehandlingcontrol.V1.CloseClamp_Parameters.Parser, null, null, null, null),
            new pbr::GeneratedClrTypeInfo(typeof(global::Sila2.De.Equicon.Handling.Platehandlingcontrol.V1.CloseClamp_Responses), global::Sila2.De.Equicon.Handling.Platehandlingcontrol.V1.CloseClamp_Responses.Parser, null, null, null, null),
            new pbr::GeneratedClrTypeInfo(typeof(global::Sila2.De.Equicon.Handling.Platehandlingcontrol.V1.Get_CurrentClampState_Parameters), global::Sila2.De.Equicon.Handling.Platehandlingcontrol.V1.Get_CurrentClampState_Parameters.Parser, null, null, null, null),
            new pbr::GeneratedClrTypeInfo(typeof(global::Sila2.De.Equicon.Handling.Platehandlingcontrol.V1.Get_CurrentClampState_Responses), global::Sila2.De.Equicon.Handling.Platehandlingcontrol.V1.Get_CurrentClampState_Responses.Parser, new[]{ "CurrentClampState" }, null, null, null)
          }));
    }
    #endregion

  }
  #region Messages
  public sealed partial class OpenClamp_Parameters : pb::IMessage<OpenClamp_Parameters> {
    private static readonly pb::MessageParser<OpenClamp_Parameters> _parser = new pb::MessageParser<OpenClamp_Parameters>(() => new OpenClamp_Parameters());
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    public static pb::MessageParser<OpenClamp_Parameters> Parser { get { return _parser; } }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    public static pbr::MessageDescriptor Descriptor {
      get { return global::Sila2.De.Equicon.Handling.Platehandlingcontrol.V1.PlateHandlingControlReflection.Descriptor.MessageTypes[0]; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    pbr::MessageDescriptor pb::IMessage.Descriptor {
      get { return Descriptor; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    public OpenClamp_Parameters() {
      OnConstruction();
    }

    partial void OnConstruction();

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    public OpenClamp_Parameters(OpenClamp_Parameters other) : this() {
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    public OpenClamp_Parameters Clone() {
      return new OpenClamp_Parameters(this);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    public override bool Equals(object other) {
      return Equals(other as OpenClamp_Parameters);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    public bool Equals(OpenClamp_Parameters other) {
      if (ReferenceEquals(other, null)) {
        return false;
      }
      if (ReferenceEquals(other, this)) {
        return true;
      }
      return true;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    public override int GetHashCode() {
      int hash = 1;
      return hash;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    public override string ToString() {
      return pb::JsonFormatter.ToDiagnosticString(this);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    public void WriteTo(pb::CodedOutputStream output) {
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    public int CalculateSize() {
      int size = 0;
      return size;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    public void MergeFrom(OpenClamp_Parameters other) {
      if (other == null) {
        return;
      }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    public void MergeFrom(pb::CodedInputStream input) {
      uint tag;
      while ((tag = input.ReadTag()) != 0) {
        switch(tag) {
          default:
            input.SkipLastField();
            break;
        }
      }
    }

  }

  public sealed partial class OpenClamp_Responses : pb::IMessage<OpenClamp_Responses> {
    private static readonly pb::MessageParser<OpenClamp_Responses> _parser = new pb::MessageParser<OpenClamp_Responses>(() => new OpenClamp_Responses());
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    public static pb::MessageParser<OpenClamp_Responses> Parser { get { return _parser; } }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    public static pbr::MessageDescriptor Descriptor {
      get { return global::Sila2.De.Equicon.Handling.Platehandlingcontrol.V1.PlateHandlingControlReflection.Descriptor.MessageTypes[1]; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    pbr::MessageDescriptor pb::IMessage.Descriptor {
      get { return Descriptor; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    public OpenClamp_Responses() {
      OnConstruction();
    }

    partial void OnConstruction();

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    public OpenClamp_Responses(OpenClamp_Responses other) : this() {
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    public OpenClamp_Responses Clone() {
      return new OpenClamp_Responses(this);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    public override bool Equals(object other) {
      return Equals(other as OpenClamp_Responses);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    public bool Equals(OpenClamp_Responses other) {
      if (ReferenceEquals(other, null)) {
        return false;
      }
      if (ReferenceEquals(other, this)) {
        return true;
      }
      return true;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    public override int GetHashCode() {
      int hash = 1;
      return hash;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    public override string ToString() {
      return pb::JsonFormatter.ToDiagnosticString(this);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    public void WriteTo(pb::CodedOutputStream output) {
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    public int CalculateSize() {
      int size = 0;
      return size;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    public void MergeFrom(OpenClamp_Responses other) {
      if (other == null) {
        return;
      }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    public void MergeFrom(pb::CodedInputStream input) {
      uint tag;
      while ((tag = input.ReadTag()) != 0) {
        switch(tag) {
          default:
            input.SkipLastField();
            break;
        }
      }
    }

  }

  public sealed partial class CloseClamp_Parameters : pb::IMessage<CloseClamp_Parameters> {
    private static readonly pb::MessageParser<CloseClamp_Parameters> _parser = new pb::MessageParser<CloseClamp_Parameters>(() => new CloseClamp_Parameters());
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    public static pb::MessageParser<CloseClamp_Parameters> Parser { get { return _parser; } }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    public static pbr::MessageDescriptor Descriptor {
      get { return global::Sila2.De.Equicon.Handling.Platehandlingcontrol.V1.PlateHandlingControlReflection.Descriptor.MessageTypes[2]; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    pbr::MessageDescriptor pb::IMessage.Descriptor {
      get { return Descriptor; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    public CloseClamp_Parameters() {
      OnConstruction();
    }

    partial void OnConstruction();

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    public CloseClamp_Parameters(CloseClamp_Parameters other) : this() {
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    public CloseClamp_Parameters Clone() {
      return new CloseClamp_Parameters(this);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    public override bool Equals(object other) {
      return Equals(other as CloseClamp_Parameters);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    public bool Equals(CloseClamp_Parameters other) {
      if (ReferenceEquals(other, null)) {
        return false;
      }
      if (ReferenceEquals(other, this)) {
        return true;
      }
      return true;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    public override int GetHashCode() {
      int hash = 1;
      return hash;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    public override string ToString() {
      return pb::JsonFormatter.ToDiagnosticString(this);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    public void WriteTo(pb::CodedOutputStream output) {
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    public int CalculateSize() {
      int size = 0;
      return size;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    public void MergeFrom(CloseClamp_Parameters other) {
      if (other == null) {
        return;
      }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    public void MergeFrom(pb::CodedInputStream input) {
      uint tag;
      while ((tag = input.ReadTag()) != 0) {
        switch(tag) {
          default:
            input.SkipLastField();
            break;
        }
      }
    }

  }

  public sealed partial class CloseClamp_Responses : pb::IMessage<CloseClamp_Responses> {
    private static readonly pb::MessageParser<CloseClamp_Responses> _parser = new pb::MessageParser<CloseClamp_Responses>(() => new CloseClamp_Responses());
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    public static pb::MessageParser<CloseClamp_Responses> Parser { get { return _parser; } }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    public static pbr::MessageDescriptor Descriptor {
      get { return global::Sila2.De.Equicon.Handling.Platehandlingcontrol.V1.PlateHandlingControlReflection.Descriptor.MessageTypes[3]; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    pbr::MessageDescriptor pb::IMessage.Descriptor {
      get { return Descriptor; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    public CloseClamp_Responses() {
      OnConstruction();
    }

    partial void OnConstruction();

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    public CloseClamp_Responses(CloseClamp_Responses other) : this() {
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    public CloseClamp_Responses Clone() {
      return new CloseClamp_Responses(this);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    public override bool Equals(object other) {
      return Equals(other as CloseClamp_Responses);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    public bool Equals(CloseClamp_Responses other) {
      if (ReferenceEquals(other, null)) {
        return false;
      }
      if (ReferenceEquals(other, this)) {
        return true;
      }
      return true;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    public override int GetHashCode() {
      int hash = 1;
      return hash;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    public override string ToString() {
      return pb::JsonFormatter.ToDiagnosticString(this);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    public void WriteTo(pb::CodedOutputStream output) {
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    public int CalculateSize() {
      int size = 0;
      return size;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    public void MergeFrom(CloseClamp_Responses other) {
      if (other == null) {
        return;
      }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    public void MergeFrom(pb::CodedInputStream input) {
      uint tag;
      while ((tag = input.ReadTag()) != 0) {
        switch(tag) {
          default:
            input.SkipLastField();
            break;
        }
      }
    }

  }

  public sealed partial class Get_CurrentClampState_Parameters : pb::IMessage<Get_CurrentClampState_Parameters> {
    private static readonly pb::MessageParser<Get_CurrentClampState_Parameters> _parser = new pb::MessageParser<Get_CurrentClampState_Parameters>(() => new Get_CurrentClampState_Parameters());
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    public static pb::MessageParser<Get_CurrentClampState_Parameters> Parser { get { return _parser; } }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    public static pbr::MessageDescriptor Descriptor {
      get { return global::Sila2.De.Equicon.Handling.Platehandlingcontrol.V1.PlateHandlingControlReflection.Descriptor.MessageTypes[4]; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    pbr::MessageDescriptor pb::IMessage.Descriptor {
      get { return Descriptor; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    public Get_CurrentClampState_Parameters() {
      OnConstruction();
    }

    partial void OnConstruction();

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    public Get_CurrentClampState_Parameters(Get_CurrentClampState_Parameters other) : this() {
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    public Get_CurrentClampState_Parameters Clone() {
      return new Get_CurrentClampState_Parameters(this);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    public override bool Equals(object other) {
      return Equals(other as Get_CurrentClampState_Parameters);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    public bool Equals(Get_CurrentClampState_Parameters other) {
      if (ReferenceEquals(other, null)) {
        return false;
      }
      if (ReferenceEquals(other, this)) {
        return true;
      }
      return true;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    public override int GetHashCode() {
      int hash = 1;
      return hash;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    public override string ToString() {
      return pb::JsonFormatter.ToDiagnosticString(this);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    public void WriteTo(pb::CodedOutputStream output) {
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    public int CalculateSize() {
      int size = 0;
      return size;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    public void MergeFrom(Get_CurrentClampState_Parameters other) {
      if (other == null) {
        return;
      }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    public void MergeFrom(pb::CodedInputStream input) {
      uint tag;
      while ((tag = input.ReadTag()) != 0) {
        switch(tag) {
          default:
            input.SkipLastField();
            break;
        }
      }
    }

  }

  public sealed partial class Get_CurrentClampState_Responses : pb::IMessage<Get_CurrentClampState_Responses> {
    private static readonly pb::MessageParser<Get_CurrentClampState_Responses> _parser = new pb::MessageParser<Get_CurrentClampState_Responses>(() => new Get_CurrentClampState_Responses());
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    public static pb::MessageParser<Get_CurrentClampState_Responses> Parser { get { return _parser; } }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    public static pbr::MessageDescriptor Descriptor {
      get { return global::Sila2.De.Equicon.Handling.Platehandlingcontrol.V1.PlateHandlingControlReflection.Descriptor.MessageTypes[5]; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    pbr::MessageDescriptor pb::IMessage.Descriptor {
      get { return Descriptor; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    public Get_CurrentClampState_Responses() {
      OnConstruction();
    }

    partial void OnConstruction();

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    public Get_CurrentClampState_Responses(Get_CurrentClampState_Responses other) : this() {
      CurrentClampState = other.currentClampState_ != null ? other.CurrentClampState.Clone() : null;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    public Get_CurrentClampState_Responses Clone() {
      return new Get_CurrentClampState_Responses(this);
    }

    /// <summary>Field number for the "CurrentClampState" field.</summary>
    public const int CurrentClampStateFieldNumber = 1;
    private global::Sila2.Org.Silastandard.Boolean currentClampState_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    public global::Sila2.Org.Silastandard.Boolean CurrentClampState {
      get { return currentClampState_; }
      set {
        currentClampState_ = value;
      }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    public override bool Equals(object other) {
      return Equals(other as Get_CurrentClampState_Responses);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    public bool Equals(Get_CurrentClampState_Responses other) {
      if (ReferenceEquals(other, null)) {
        return false;
      }
      if (ReferenceEquals(other, this)) {
        return true;
      }
      if (!object.Equals(CurrentClampState, other.CurrentClampState)) return false;
      return true;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    public override int GetHashCode() {
      int hash = 1;
      if (currentClampState_ != null) hash ^= CurrentClampState.GetHashCode();
      return hash;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    public override string ToString() {
      return pb::JsonFormatter.ToDiagnosticString(this);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    public void WriteTo(pb::CodedOutputStream output) {
      if (currentClampState_ != null) {
        output.WriteRawTag(10);
        output.WriteMessage(CurrentClampState);
      }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    public int CalculateSize() {
      int size = 0;
      if (currentClampState_ != null) {
        size += 1 + pb::CodedOutputStream.ComputeMessageSize(CurrentClampState);
      }
      return size;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    public void MergeFrom(Get_CurrentClampState_Responses other) {
      if (other == null) {
        return;
      }
      if (other.currentClampState_ != null) {
        if (currentClampState_ == null) {
          currentClampState_ = new global::Sila2.Org.Silastandard.Boolean();
        }
        CurrentClampState.MergeFrom(other.CurrentClampState);
      }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    public void MergeFrom(pb::CodedInputStream input) {
      uint tag;
      while ((tag = input.ReadTag()) != 0) {
        switch(tag) {
          default:
            input.SkipLastField();
            break;
          case 10: {
            if (currentClampState_ == null) {
              currentClampState_ = new global::Sila2.Org.Silastandard.Boolean();
            }
            input.ReadMessage(currentClampState_);
            break;
          }
        }
      }
    }

  }

  #endregion

}

#endregion Designer generated code
